require "GiderosCodingEasy"
local preference = require "preference";
local GridSize_value = preference.getValue("GridSize")
local Level_value = preference.getValue("Level")

local imgBackground = Bitmap.new(Texture.new("bkg_green.jpg"))
imgBackground.id = "imgBackground"
stage:addChild(imgBackground)

-- Create List Value
local lstGridSize = {}
lstGridSize[1] = '2x3'
lstGridSize[2] = '3x3'
lstGridSize[3] = '3x4'
lstGridSize[4] = '4x4'
lstGridSize[5] = '5x6'
lstGridSize[6] = '6x6'
-- Create the button
local GridSize = ListValueButton.new("btn_n.png", "btn_p.png",lstGridSize,GridSize_value)

GridSize:addEventListener("click", 
	function() 
		preference.save({GridSize =GridSize.currentIndex})			
	end
)

GridSize:setPosition(application:getContentWidth() * 0.5,application:getContentHeight() * 0.5 - 100)
GridSize.id = "GridSize"
stage:addChild(GridSize)

-- Create List Value
local lstLevel = {}
lstLevel[1] = 'Easy'
lstLevel[2] = 'Medium'
lstLevel[3] = 'Hard'
lstLevel[4] = 'Super Hard'

-- Create the button
local Level = ListValueButton.new("btn_n.png", "btn_p.png",lstLevel,Level_value)

Level:addEventListener("click", 
	function() 
		preference.save({Level =Level.currentIndex})			
	end
)

Level:setPosition(application:getContentWidth() * 0.5,application:getContentHeight() * 0.5 )
Level.id = "Level"
stage:addChild(Level)
